@use '~@material/tooltip/styles' as tooltip-style;
@use '~@material/floating-label/mdc-floating-label';
@use '~@material/line-ripple/mdc-line-ripple';
@use '~@material/notched-outline/mdc-notched-outline';

.accordion {
  --cui-accordion-active-bg: none;
  --cui-accordion-active-color: inherit;
  --cui-accordion-btn-active-icon: var(--cui-accordion-btn-icon);
  --cui-accordion-btn-focus-box-shadow: inset 0 calc(var(--cui-accordion-border-width) * -1) 0 var(--cui-accordion-border-color);
}

.map {
  height: 100%;
  min-height: 550px;
  position: relative;
  overflow: hidden;
}

.map .accordion-button:not(:focus) {
  box-shadow: inset 0 calc(var(--cui-accordion-border-width) * -1) 0 var(--cui-accordion-border-color);
}

.map-toolbar {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  left: 50%;
  top: 0;
  transform: translate(-50%, 0);
  background: rgba(255, 255, 255, 0.8);
  z-index: 10;
  border-radius: 0 0 10px 10px;
}

.map-toolbar>div:not(:last-child){
  border-right: 1px solid #d8dbe0;
}

.map-create-object-by-click-in-map-notification {
  position: absolute;
  font-size: 11px;
  top: 60px;
  right: 10px;
  z-index: 10;
  width: 200px;
}

.mdc-icon-button__icon--on {
  color: #049583;
}

.map-toolbar .delete-button:enabled {
  color: red;
}

.ol-viewport .ol-control.ol-progress-bar > .ol-waiting {
  animation: none !important;
}

.ol-print {
  display: none;
}

.ol-ext-dialog {
  z-index: 10001 !important;
}

img.ol-loading-image {
  max-height: 80px;
}

.usage-color-indicator {
  width: 10px;
  height: 10px;
  display: inline-block;
}

#mapEarlyWarningSystemCanvas {
  background-color: white;
  width: 550px;
  overflow-y: auto;
}

#mapEarlyWarningSystemCanvas table {
  table-layout: fixed;
}

.context-popup {
  z-index: -1;
}

#legend {
  z-index: 1;
  bottom: 5px;
  left: 5px;
  width: 300px;
}
